Show / Hide Table of Contents

# AsyncTriggerEnter2DTrigger Class

###### Namespace: Cysharp.Threading.Tasks.Triggers

###### Assembly: cs.temp.dll.dll

    public sealed class AsyncTriggerEnter2DTrigger : AsyncTriggerBase<Collider2D>, IUniTaskAsyncEnumerable<Collider2D>

##### Inheritance

System.Object → AsyncTriggerBase<Collider2D> → AsyncTriggerEnter2DTrigger

##### Implements

IUniTaskAsyncEnumerable<Collider2D>

### Members

#### Methods

Name | Description
--- | ---
GetOnTriggerEnter2DAsyncHandler() |
GetOnTriggerEnter2DAsyncHandler(CancellationToken) |
OnTriggerEnter2DAsync() |
OnTriggerEnter2DAsync(CancellationToken) |

### Methods

#### GetOnTriggerEnter2DAsyncHandler()

    public IAsyncOnTriggerEnter2DHandler GetOnTriggerEnter2DAsyncHandler()

##### Returns

IAsyncOnTriggerEnter2DHandler

#### GetOnTriggerEnter2DAsyncHandler(CancellationToken)

    public IAsyncOnTriggerEnter2DHandler GetOnTriggerEnter2DAsyncHandler(CancellationToken cancellationToken)

##### Parameters

`cancellationToken` System.Threading.CancellationToken

##### Returns

IAsyncOnTriggerEnter2DHandler

#### OnTriggerEnter2DAsync()

    public UniTask<Collider2D> OnTriggerEnter2DAsync()

##### Returns

UniTask<Collider2D>

#### OnTriggerEnter2DAsync(CancellationToken)

    public UniTask<Collider2D> OnTriggerEnter2DAsync(CancellationToken cancellationToken)

##### Parameters

`cancellationToken` System.Threading.CancellationToken

##### Returns

UniTask<Collider2D>

### Implements

IUniTaskAsyncEnumerable<T>